javax.tools

## Interface JavaFileManager.Location

- All Known Implementing Classes:
    StandardLocation
  Enclosing interface:
    JavaFileManager

      public static interface JavaFileManager.Location

  Interface for locations of file objects. Used by file managers to determine where to place or search for file objects.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name of this location.
    `boolean` | `isOutputLocation()` Determines if this is an output location.

- - ### Method Detail

    - #### getName

          String getName()

      Gets the name of this location.
      Returns:
        a name

    - #### isOutputLocation

          boolean isOutputLocation()

      Determines if this is an output location. An output location is a location that is conventionally used for output.
      Returns:
        true if this is an output location, false otherwise

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.